Bug 458755 - kernel: dlm: fix possible use-after-free [mrg-1]
kernel: dlm: fix possible use-after-free [mrg-1]
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel (Show other bugs)
1.1
All Linux
medium Severity medium
: 1.0.3
: ---
Assigned To: Red Hat Real Time Maintenance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-12 00:01 EDT by Eugene Teo (Security Response)
Modified: 2008-10-07 15:20 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-07 15:20:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream patch for this issue (1017 bytes, patch)
2008-08-12 00:06 EDT, Eugene Teo (Security Response)
no flags Details | Diff

  None (edit)
Description Eugene Teo (Security Response) 2008-08-12 00:01:56 EDT
Description of problem:
The dlm_put_lkb() can free the lkb and its associated ua structure, so we can't depend on using the ua struct after the put.
Comment 2 Eugene Teo (Security Response) 2008-08-12 00:06:19 EDT
Created attachment 314041 [details]
Upstream patch for this issue
Comment 3 Beth Uptagrafft 2008-09-05 14:32:28 EDT
in -77
Comment 5 David Sommerseth 2008-09-23 07:37:10 EDT
Verified that upstream commit ce5246b972f7514af899a63c0faf831d05ed5ee1 is implemented in the mrg-rt-2.6.24-81 code.  (mrg-rt commit e7d3f287ddc307fb78b15dd7d2ef3a6a77e29bbc)
Comment 7 errata-xmlrpc 2008-10-07 15:20:53 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0857.html

Note You need to log in before you can comment on or make changes to this bug.